#!/usr/bin/env lua
require "nixio.fs"
require "cellulard/u_string"
require "cellulard/u_uqmi"
require "cellulard/ubus_cellular"

json = require "json"
--[[
  Lua script run as daemon which collects data from QMI and publishes to the subscribers
  This is used for controlling LEDs, showing status on Luci pages, etc.
  The information is published as ubus messeges and events
--]]

function main()
	print("xNet cellular daemon")

	ubus_cellular.init()
	ubus_cellular.connect()
end

--[[
	Call main method and get things started
--]]

main()